Zum Hauptinhalt springen

List contributors

GET/v2/contributors
API-Version
v2
Request-Methode
GET
Operation-ID
extension-list-contributors

Request​

Responses​

Response-Header
  • X-Pagination-Limitinteger

    The limit used to select the resources for the response

  • X-Pagination-Skipinteger

    The number of skipped items

  • X-Pagination-Pagenumber

    The calculate page of the list response. Refer to parameters to learn more.

  • X-Pagination-TotalCountinteger

    The total amount of items available in the remote ressource. Use this value in combination with the limit to calculate the available pages.

Format
application/json
Beschreibung

A List of Contributors within the mStudio.

  • Array[
    • *object
      • customerIdstring (uuid)required
      • descriptionstring
      • descriptionsobject

        A few words about the introduction as a contributor

        • destringrequired
        • enstring
      • emailstringdeprecatedrequired
      • homepagestring (uri)
      • idstring (uuid)required
      • imprinteine von 2 Alternativen
        • Alternativeobject
          • textstring (≥ 1 Zeichen)required
        • Alternativeobject
          • urlstring (≥ 1 Zeichen, uri)required
      • logoRefIdstring (uuid)
      • namestringrequired
      • phonestringdeprecated
      • statestring (einer von: enabled, disabled)deprecatedrequired
      • supportInformationrequired
      • urlstringdeprecated
    ]
Content-Type: application/json

[
{
"customerId": "f0f86186-0a5a-45b2-aa33-502777496347",
"description": "string",
"descriptions": {
"de": "Ich bin ein Contributor",
"en": "I am a contributor"
},
"homepage": "string",
"id": "f0f86186-0a5a-45b2-aa33-502777496347",
"imprint": {
"text": "string"
},
"logoRefId": "f0f86186-0a5a-45b2-aa33-502777496347",
"name": "string",
"supportInformation": null
}
]
{
"items": {
"properties": {
"customerId": {
"format": "uuid",
"type": "string"
},
"description": {
"type": "string"
},
"descriptions": {
"description": "A few words about the introduction as a contributor",
"properties": {
"de": {
"example": "Ich bin ein Contributor",
"type": "string"
},
"en": {
"example": "I am a contributor",
"type": "string"
}
},
"required": [
"de"
],
"type": "object"
},
"email": {
"deprecated": true,
"type": "string"
},
"homepage": {
"format": "uri",
"type": "string"
},
"id": {
"format": "uuid",
"type": "string"
},
"imprint": {
"oneOf": [
{
"properties": {
"text": {
"minLength": 1,
"type": "string"
}
},
"required": [
"text"
],
"type": "object"
},
{
"properties": {
"url": {
"format": "uri",
"minLength": 1,
"type": "string"
}
},
"required": [
"url"
],
"type": "object"
}
]
},
"logoRefId": {
"format": "uuid",
"type": "string"
},
"name": {
"type": "string"
},
"phone": {
"deprecated": true,
"type": "string"
},
"state": {
"deprecated": true,
"enum": [
"enabled",
"disabled"
],
"type": "string"
},
"supportInformation": {
"allOf": [
{
"properties": {
"email": {
"example": "a.lovelace@example.com",
"format": "email",
"type": "string"
},
"phone": {
"type": "string"
}
},
"required": [
"email"
],
"type": "object"
},
{
"properties": {
"inherited": {
"description": "Whether the support information is inherited from the customer.",
"type": "boolean"
}
},
"required": [
"inherited"
],
"type": "object"
}
]
},
"url": {
"deprecated": true,
"type": "string"
}
},
"required": [
"id",
"customerId",
"state",
"name",
"supportInformation",
"email"
],
"type": "object"
},
"type": "array"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/contributors?limit=50&page=1&sort=name&order=asc
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.marketplace.extensionListContributors({
"queryParameters": {
"limit": 50,
"page": 1,
"sort": "name",
"order": "asc"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Marketplace\ExtensionListContributors\ExtensionListContributorsRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ExtensionListContributorsRequest())
->withLimit(50)
->withPage(1)
->withSort("name")
->withOrder("asc");
$response = $client->marketplace()->extensionListContributors($request);

var_dump($response->getBody();

Auf dieser Seite